/******************************************************************************
 * Shout_Command.java - Send this user message to every client
 * $Id: Shout_Command.java,v 1.6 2011/06/09 18:19:17 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: Shout_Command.java,v $
 * Revision 1.6  2011/06/09 18:19:17  dick
 * Use Player.println() instead of the JibsWriter.
 *
 * Revision 1.5  2011/06/06 03:18:26  dick
 * JibsMessages belongs in n.s.jibs.server, not n.s.jibs.gui
 *
 * Revision 1.4  2011/06/06 02:55:03  dick
 * Shout to everybody.
 * No shouting if you have toggled silent.
 *
 * Revision 1.3  2011/05/31 17:48:49  dick
 * Fix all warnings from the import.
 *
 * Revision 1.2  2011/05/31 13:02:43  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.command;

import net.sourceforge.jibs.server.JibsMessages;
import net.sourceforge.jibs.server.JibsServer;
import net.sourceforge.jibs.server.Player;
import net.sourceforge.jibs.util.ClipConstants;

/** Send this user message to every client.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.6 $ <br> $Date: 2011/06/09 18:19:17 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/command/Shout_Command.java">cvs Shout_Command.java</a>
 */
public class Shout_Command implements JibsCommand {

	@Override
	public boolean execute(JibsServer jibsServer, Player player,
			String strArgs, String[] args) {
		String playerName = player.getName();

		if (player.checkToggle("silent")) {
			JibsMessages jibsMessages = jibsServer.getJibsMessages();
			String msg = jibsMessages.convert("m_you_gagged");
			player.println(msg);
		} else {
			player.println(ClipConstants.CLIP_YOU_SHOUT + " " + strArgs);

			for (Player clientPlayer : jibsServer.getAllClients().values()) {
				if (!clientPlayer.getName().equals(player.getName())
				 && !clientPlayer.checkToggle("silent")) {
					clientPlayer.println(
							ClipConstants.CLIP_SHOUTS + " " 
							+ playerName + strArgs);
				}
			}
		}
		return true;
	}
}
