/******************************************************************************
 * SplashWindowJibs - Display the splash window.
 * $Id: SplashWindowJibs.java,v 1.2 2011/05/31 14:50:48 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: SplashWindowJibs.java,v $
 * Revision 1.2  2011/05/31 14:50:48  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.gui;

import net.sourceforge.jibs.server.JibsServer;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Frame;
import java.awt.Toolkit;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import java.net.URL;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JWindow;

/** Display the splash window.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.2 $ <br> $Date: 2011/05/31 14:50:48 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/gui/SplashWindowJibs.java">cvs SplashWindowJibs.java</a>
 */
public class SplashWindowJibs extends JWindow {
	private static final long serialVersionUID = -8877839601052661726L;
	@SuppressWarnings("unused")
	private JibsServer jibsServer;

	public SplashWindowJibs(JibsServer jibsServer, String filename, Frame f) {
		super(f);

		this.jibsServer = jibsServer;

		URL imgUrl = ClassLoader.getSystemResource(filename);
		JLabel l = new JLabel(new ImageIcon(imgUrl));

		getContentPane().add(l, BorderLayout.CENTER);
		pack();

		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
		Dimension labelSize = l.getPreferredSize();

		setLocation((screenSize.width / 2) - (labelSize.width / 2),
				(screenSize.height / 2) - (labelSize.height / 2));

		addMouseListener(new MouseAdapter() {
			public void mousePressed(MouseEvent e) {
				setVisible(false);
				dispose();
			}
		});

		setVisible(true);
	}
}
